exceptions (Jython API documentation)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.python.core
Class exceptions

    java.lang.Object
      |
      +--org.python.core.exceptions

All Implemented Interfaces:
  ClassDictInit

public class exceptions
extends java.lang.Object
implements ClassDictInit

The builtin exceptions module. The entire module should be imported from python. None of the methods defined here should be called from java.

Field Summary
`static java.lang.String` | `__doc__`

Method Summary
`static void` | `classDictInit(PyObject dict)` Internal use only.
`static PyObject` | `empty__init__(PyObject[] arg, java.lang.String[] kws)`
`static void` | `EnvironmentError__init__(PyObject[] arg, java.lang.String[] kws)`
`static PyString` | `EnvironmentError__str__(PyObject[] arg, java.lang.String[] kws)`
`static PyObject` | `EnvironmentError(PyObject[] arg, java.lang.String[] kws)`
`static PyObject` | `Exception__getitem__(PyObject[] arg, java.lang.String[] kws)`
`static void` | `Exception__init__(PyObject[] arg, java.lang.String[] kws)`
`static PyString` | `Exception__str__(PyObject[] arg, java.lang.String[] kws)`
`static PyObject` | `Exception(PyObject[] arg, java.lang.String[] kws)`
`static void` | `SyntaxError__init__(PyObject[] arg, java.lang.String[] kws)`
`static PyString` | `SyntaxError__str__(PyObject[] arg, java.lang.String[] kws)`
`static PyObject` | `SyntaxError(PyObject[] arg, java.lang.String[] kws)`
`static void` | `SystemExit__init__(PyObject[] arg, java.lang.String[] kws)`
`static PyObject` | `SystemExit(PyObject[] arg, java.lang.String[] kws)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### __doc__

    public static java.lang.String __doc__

Method Detail

### classDictInit

    public static void classDictInit(PyObject dict)

  Internal use only. Do not call this method explicit.

### empty__init__

    public static PyObject empty__init__(PyObject[] arg,
                                         java.lang.String[] kws)

### Exception

    public static PyObject Exception(PyObject[] arg,
                                     java.lang.String[] kws)

### Exception__init__

    public static void Exception__init__(PyObject[] arg,
                                         java.lang.String[] kws)

### Exception__str__

    public static PyString Exception__str__(PyObject[] arg,
                                            java.lang.String[] kws)

### Exception__getitem__

    public static PyObject Exception__getitem__(PyObject[] arg,
                                                java.lang.String[] kws)

### SyntaxError

    public static PyObject SyntaxError(PyObject[] arg,
                                       java.lang.String[] kws)

### SyntaxError__init__

    public static void SyntaxError__init__(PyObject[] arg,
                                           java.lang.String[] kws)

### SyntaxError__str__

    public static PyString SyntaxError__str__(PyObject[] arg,
                                              java.lang.String[] kws)

### EnvironmentError

    public static PyObject EnvironmentError(PyObject[] arg,
                                            java.lang.String[] kws)

### EnvironmentError__init__

    public static void EnvironmentError__init__(PyObject[] arg,
                                                java.lang.String[] kws)

### EnvironmentError__str__

    public static PyString EnvironmentError__str__(PyObject[] arg,
                                                   java.lang.String[] kws)

### SystemExit

    public static PyObject SystemExit(PyObject[] arg,
                                      java.lang.String[] kws)

### SystemExit__init__

    public static void SystemExit__init__(PyObject[] arg,
                                          java.lang.String[] kws)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Jython homepage